ui <- shinyUI(fluidPage(
                        navbarPage("Celine 2.0", collapsible = T, id = "nav",
                                   tabPanel("Accueil",
                                            radioButtons("CESP", "Procédure", choices = c("Normale", "CESP"), selected = "Normale", inline = T),
                                            uiOutput("dates"),
                                            includeMarkdown("accueil.md")
                                   ),
                                   tabPanel("Listing",
                                            DT::dataTableOutput("tableListing")),
                                   tabPanel("Par étudiant",
                                            div(style="display:inline-block",numericInput("Etudiant", "Étudiant", 1, min = 1, max = max_rank)),
                                            div(style="display:inline-block",checkboxInput("Rang", "Afficher le rang dans un choix", value = T)),
                                            plotlyOutput("plotEtudiant"), 
                                            DT::dataTableOutput("tableEtudiant")
                                            ),
                                   tabPanel("Par discipline et subdivision",
                                            div(style="display:inline-block",selectInput("Ville", "Ville", choices = villes)),
                                            div(style="display:inline-block",selectInput("Spe", "Spé", choices = spes)),
                                            plotlyOutput("plotVilleSpe"),
                                            DT::dataTableOutput("tableVilleSpe")
                                            )
                                   )
                        )
)

